<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

if ( post_password_required() ) {
	return;
}

?>

<div class="vlt-page-comments vlt-page-comments--style-2" id="comments">

	<?php if ( have_comments() ) : ?>

		<div class="vlt-page-comments__list">

			<h3 class="vlt-page-comments__title">

				<?php comments_number( esc_html__( 'No comments', 'archee' ) , esc_html__( 'One Comment', 'archee' ) , esc_html__( '% Comments', 'archee' ) ); ?>

			</h3>

			<ul class="vlt-comments">

				<?php

					wp_list_comments( array(
						'avatar_size' => 70,
						'style' => 'ul',
						'max_depth' => '3',
						'short_ping' => true,
						'reply_text' => esc_html__( 'Reply', 'archee' ) . '<i class="fa-regular fa-fw fa-reply"></i>',
						'callback' => 'archee_callback_custom_comment',
					) );

				?>

			</ul>

			<?php echo archee_get_comment_navigation(); ?>

		</div>

	<?php endif; ?>

	<?php if ( comments_open() ) : ?>

		<div class="vlt-page-comments__form">

			<?php

				$commenter = wp_get_current_commenter();
				$consent = empty( $commenter['comment_author_email'] ) ? '' : ' checked="checked"';

				$args = array(
					'title_reply' => esc_html__( 'Leave a comment:', 'archee' ),
					'title_reply_before' => '<h3 class="vlt-page-comments__title">',
					'title_reply_after' => '</h3>',
					'cancel_reply_before' => '',
					'cancel_reply_after' => '',
					'comment_notes_before' => '',
					'comment_notes_after' => '',
					'title_reply_to' => esc_html__( 'Leave a Reply', 'archee' ),
					'cancel_reply_link' => '<i class="fa-regular fa-fw fa-xmark"></i>',
					'submit_button' => '<button type="submit" id="%2$s" class="%3$s">%4$s</button>',
					'class_submit' => 'vlt-btn vlt-btn--effect vlt-btn--primary',
					'label_submit' => esc_html__( 'Post a comment', 'archee' ),
					'comment_field' => '<div class="vlt-form-group"><textarea id="comment" name="comment" rows="5" placeholder="' . esc_attr__( 'Your Comment', 'archee' ) . '"></textarea></div>',
						'fields' => array(
							'author' => '<div class="vlt-form-row two-col"><div class="vlt-form-group"><input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" placeholder="' . esc_attr__( 'Your Name', 'archee' ) . '"></div>',
							'email' => '<div class="vlt-form-group"><input id="email" name="email" type="text" value="' . esc_attr( $commenter['comment_author_email'] ) . '" placeholder="' . esc_attr__( 'Your Email', 'archee' ) . '"></div></div>',
							'url' => false,
							'cookies' => '<div class="vlt-form-group"><label class="vlt-checkbox" for="wp-comment-cookies-consent">' . sprintf( '<input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" class="d-none" value="yes"%s />', $consent ) .'<span class="vlt-checkbox__checkmark"></span>' . esc_attr__( 'Save my name &amp; email in this browser for next time I comment.', 'archee' ) . '</label></div>',
						),
				);

				comment_form( $args );

			?>

		</div>

	<?php endif; ?>

</div>
<!-- /.vlt-page-comments -->