/***********************************************
 * THEME: FIXED FOOTER
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof gsap == 'undefined') {
		return;
	}

	if (VLTJS.isMobileDevice()) {
		return;
	}

	VLTJS.fixedFooterEffect = {
		init: function () {

			var footer = $('.vlt-footer').filter('.vlt-footer--fixed');

			VLTJS.window.on('load resize', function () {
				var footerHeight = footer.outerHeight();
				if (footerHeight <= VLTJS.window.height()) {
					var leftValue = VLTJS.body.css('padding-left'),
						rightValue = VLTJS.body.css('padding-right'),
						bottomValue = VLTJS.body.css('padding-bottom') - footerHeight;
					footer.css({
						'position': 'fixed',
						'left': leftValue,
						'right': rightValue,
						'bottom': bottomValue || 0
					});
					VLTJS.body.css('padding-bottom', footerHeight);
				} else {
					VLTJS.body.css('padding-bottom', 0);
					footer.removeAttr('style');
				}

			});

		}

	};

	VLTJS.document.imagesLoaded(function () {
		VLTJS.fixedFooterEffect.init();
	});

	VLTJS.document.on('lazyloaded', function () {
		VLTJS.fixedFooterEffect.init();
	});

	VLTJS.debounceResize(function () {
		VLTJS.fixedFooterEffect.init();
	});

})(jQuery);