/***********************************************
 * WIDGET: TABS
 ***********************************************/
(function ($) {

	'use strict';

	VLTJS.tabs = {
		init: function ($scope) {

			var tabs = $scope.find('.vlt-tabs'),
				imagesAnchor = tabs.data('images-anchor');

			$(imagesAnchor).add(tabs).find('li:nth-child(1)').addClass('is-active');

			tabs.on('mouseenter', '.vlt-tabs__item', function () {

				var $this = $(this),
					index = $this.index();

				$(imagesAnchor).find('.vlt-tabs-images__image').removeClass('is-active');
				tabs.find('.vlt-tabs__item').removeClass('is-active');

				$this.addClass('is-active');
				$(imagesAnchor).find('.vlt-tabs-images__image').eq(index).addClass('is-active');

			});

		}
	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-tabs.default',
			VLTJS.tabs.init
		);
	});

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-tabs-images.default',
			VLTJS.tabs.init
		);
	});

})(jQuery);