/***********************************************
 * SHOWCASE: STYLE 4
 ***********************************************/
(function ($) {

	'use strict';

	// check if plugin defined
	if (typeof Swiper === 'undefined') {
		return;
	}

	var showcaseStyle4 = function ($scope, $) {

		var showcase = $scope.find('.vlt-showcase--style-4'),
			links = showcase.find('.vlt-showcase-links'),
			images = showcase.find('.vlt-showcase-images');

		// add active class
		links.find('li').eq(0).addClass('is-active');

		var swiper = new Swiper(images, {
			loop: false,
			effect: 'fade',
			lazy: true,
			slidesPerView: 1,
			allowTouchMove: false,
			speed: 1000,
			on: {
				init: function () {

					links.on('mouseenter', 'li', function (e) {
						e.preventDefault();
						var currentLink = $(this);
						links.find('li').removeClass('is-active');
						currentLink.addClass('is-active');
						swiper.slideTo(currentLink.index());
					});

				},
			}
		});

	};

	VLTJS.window.on('elementor/frontend/init', function () {
		elementorFrontend.hooks.addAction(
			'frontend/element_ready/vlt-showcase-4.default',
			showcaseStyle4
		);
	});

})(jQuery);