<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

$priority = 0;

/**
 * General
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sg_1',
	'section' => 'core_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Colors', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'accent_color',
	'section' => 'core_general',
	'label' => esc_html__( 'Accent Color', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '#8a8a8a'
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sg_2',
	'section' => 'core_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Preloader', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'preloader_style',
	'section' => 'core_general',
	'label' => esc_html__( 'Style Preloader', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'none' => esc_html__( 'None', 'archee' ),
		'image' => esc_html__( 'Image', 'archee' ),
		'bounce' => esc_html__( 'Bounce', 'archee' )
	),
	'default' => 'bounce'
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'preloader_image',
	'section' => 'core_general',
	'label' => esc_html__( 'Preloader Image', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'preloader_style',
			'operator' => '==',
			'value' => 'image'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sg_3',
	'section' => 'core_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Additional', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'border_radius',
	'section' => 'core_general',
	'label' => esc_html__( 'Border Radius', 'archee' ),
	'priority' => $priority++,
	'default' => '4px',
	'output' => array(
		array(
			'element' => ':root',
			'property' => '--vlt-border-radius',
			'context' => array( 'editor', 'front' ),
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'custom_cursor',
	'section' => 'core_general',
	'label' => esc_html__( 'Custom Cursor', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'disable' => esc_html__( 'Disable', 'archee' ),
		'enable' => esc_html__( 'Enable', 'archee' ),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'back_to_top',
	'section' => 'core_general',
	'label' => esc_html__( '"Back to Top" Button', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'code',
	'settings' => 'tracking_code',
	'section' => 'core_general',
	'label' => esc_html__( 'Tracking Code', 'archee' ),
	'description' => esc_html__( 'Copy and paste your tracking code here.', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'language' => 'php',
	),
	'default' => '',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sg_4',
	'section' => 'core_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Fixed Socials', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'fixed_socials',
	'section' => 'core_general',
	'label' => esc_html__( 'Fixed Socials', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'repeater',
	'settings' => 'fixed_social_list',
	'section' => 'core_general',
	'label' => esc_html__( 'Social List', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'row_label' => array(
		'type' => 'text',
		'value' => esc_html__( 'social', 'archee' )
	),
	'fields' => array(
		'social_icon' => array(
			'type' => 'select',
			'label' => esc_html__( 'Social Icon', 'archee' ),
			'choices' => archee_get_social_icons()
		),
		'social_url' => array(
			'type' => 'link',
			'label' => esc_html__( 'Social Url', 'archee' )
		),
	),
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'fixed_socials',
			'operator' => '==',
			'value' => 'show',
		)
	),
) );

/**
 * Night mode
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'night_mode',
	'section' => 'core_night_mode',
	'label' => esc_html__( 'Night Mode', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'auto' => esc_html__( 'Auto', 'archee' ),
		'day' => esc_html__( 'Day', 'archee' ),
		'night' => esc_html__( 'Night', 'archee' )
	),
	'default' => 'auto',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'night_mode_toggle_button',
	'section' => 'core_night_mode',
	'label' => esc_html__( 'Toggle Button', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'night_mode_toggle_sound',
	'section' => 'core_night_mode',
	'label' => esc_html__( 'Night Mode Toggle Sound', 'archee' ),
	'description' => esc_html__( 'Sounds when you change night mode.', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
	'active_callback' => array(
		array(
			'setting' => 'night_mode_toggle_button',
			'operator' => '==',
			'value' => 'show',
		)
	),
) );

VLT_Options::add_field( array(
	'type' => 'upload',
	'settings' => 'on_click_sound',
	'section' => 'core_night_mode',
	'label' => esc_html__( 'Audio for "Switch On"', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'night_mode_toggle_sound',
			'operator' => '==',
			'value' => 'enable',
		),
		array(
			'setting' => 'night_mode_toggle_button',
			'operator' => '==',
			'value' => 'show',
		)
	),
) );

VLT_Options::add_field( array(
	'type' => 'upload',
	'settings' => 'off_click_sound',
	'section' => 'core_night_mode',
	'label' => esc_html__( 'Audio for "Switch Off"', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'night_mode_toggle_sound',
			'operator' => '==',
			'value' => 'enable',
		),
		array(
			'setting' => 'night_mode_toggle_button',
			'operator' => '==',
			'value' => 'show',
		)
	),
) );

/**
 * Site Protection
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sg_5',
	'section' => 'core_site_protection',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Click Copyright', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'site_protection',
	'section' => 'core_site_protection',
	'label' => esc_html__( 'Site Protection', 'archee' ),
	'tooltip' => esc_html__( 'It works for all visitors except administrator. You can check it in "Incognito Mode".', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
) );

VLT_Options::add_field( array(
	'type' => 'editor',
	'settings' => 'site_protection_content',
	'section' => 'core_site_protection',
	'label' => esc_html__( 'Content', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'site_protection',
			'operator' => '==',
			'value' => 'show'
		)
	)
) );

/**
 * Selection
 */
VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'selection_text_color',
	'section' => 'core_selection',
	'label' => esc_html__( 'Selection Text Color', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'alpha' => false
	),
	'default' => '#ffffff',
	'output' => array(
		array(
			'element' => '::selection',
			'property' => 'color',
			'suffix' => '!important'
		),
		array(
			'element' => '::-moz-selection',
			'property' => 'color',
			'suffix' => '!important'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'selection_background_color',
	'section' => 'core_selection',
	'label' => esc_html__( 'Selection Background Color', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'alpha' => true
	),
	'default' => '#8a8a8a',
	'output' => array(
		array(
			'element' => '::selection',
			'property' => 'background-color',
			'suffix' => '!important'
		),
		array(
			'element' => '::-moz-selection',
			'property' => 'background-color',
			'suffix' => '!important'
		)
	)
) );

/**
 * Theme border
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'theme_border',
	'section' => 'core_theme_border',
	'label' => esc_html__( 'Theme Border', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'theme_border_thickness',
	'section' => 'core_theme_border',
	'label' => esc_html__( 'Border Thickness', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '1rem',
	'output' => array(
		array(
			'element' => ':root',
			'property' => '--vlt-theme-border-thickness'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'theme_border_color',
	'section' => 'core_theme_border',
	'label' => esc_html__( 'Border Color', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'output' => array(
		array(
			'element' => ':root',
			'property' => '--vlt-theme-border-color'
		),
	)
) );

/**
 * Scrollbar
 */
VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'custom_scrollbar',
	'section' => 'core_scrollbar',
	'label' => esc_html__( 'Custom Scrollbar', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'custom_scrollbar_track_color',
	'section' => 'core_scrollbar',
	'label' => esc_html__( 'Track Color', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'alpha' => true
	),
	'default' => 'rgba(16,16,16,.05)',
	'output' => array(
		array(
			'element' => '::-webkit-scrollbar',
			'property' => 'background-color'
		)
	),
	'active_callback' => array(
		array(
			'setting' => 'custom_scrollbar',
			'operator' => '==',
			'value' => 'enable'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'color',
	'settings' => 'custom_scrollbar_bar_color',
	'section' => 'core_scrollbar',
	'label' => esc_html__( 'Bar Color', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'alpha' => false
	),
	'default' => '#8a8a8a',
	'output' => array(
		array(
			'element' => '::-webkit-scrollbar-thumb',
			'property' => 'background-color'
		)
	),
	'active_callback' => array(
		array(
			'setting' => 'custom_scrollbar',
			'operator' => '==',
			'value' => 'enable'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'slider',
	'settings' => 'custom_scrollbar_width',
	'section' => 'core_scrollbar',
	'label' => esc_html__( 'Bar Width', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'min' => '0',
		'max' => '16',
		'step' => '1'
	),
	'default' => '5',
	'output' => array(
		array(
			'element' => '::-webkit-scrollbar',
			'property' => 'width',
			'units' => 'px'
		)
	),
	'active_callback' => array(
		array(
			'setting' => 'custom_scrollbar',
			'operator' => '==',
			'value' => 'enable'
		)
	)
) );

/**
 * Custom sidebars
 */
VLT_Options::add_field( array(
	'type' => 'repeater',
	'settings' => 'custom_sidebars',
	'section' => 'core_sidebars',
	'label' => esc_attr__( 'Custom Sidebars', 'archee' ),
	'description' => esc_html__( 'Create new sidebars and use them later via the page builder for different areas.', 'archee' ),
	'row_label' => array(
		'type' => 'field',
		'field' => 'sidebar_title',
		'value' => esc_attr__( 'Custom Sidebar', 'archee' ),
	),
	'button_label' => esc_attr__( 'Add new sidebar area', 'archee' ),
	'default' => '',
	'fields' => array(
		'sidebar_title' => array(
			'type' => 'text',
			'label' => esc_attr__( 'Sidebar Title', 'archee' ),
			'default' => '',
		),
		'sidebar_description' => array(
			'type' => 'textarea',
			'label' => esc_attr__( 'Sidebar Description', 'archee' ),
			'default' => '',
		),
	)
));

/**
 * Admin logo
 */
VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'login_logo_image',
	'section' => 'core_login_logo',
	'label' => esc_html__( 'Authorization Logo', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => $theme_path_images . 'vlthemes.png',
) );

VLT_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'login_logo_image_height',
	'section' => 'core_login_logo',
	'label' => esc_html__( 'Logo Height', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '115px',
	'active_callback' => array(
		array(
			'setting' => 'login_logo_image',
			'operator' => '!=',
			'value' => ''
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'login_logo_image_width',
	'section' => 'core_login_logo',
	'label' => esc_html__( 'Logo Width', 'archee' ),
	'transport' => 'auto',
	'priority' => $priority++,
	'default' => '102px',
	'active_callback' => array(
		array(
			'setting' => 'login_logo_image',
			'operator' => '!=',
			'value' => ''
		)
	)
) );