<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

$priority = 0;

/**
 * Header general
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_1',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'General', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_show',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Header Show', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' ),
	),
	'default' => 'show',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_type',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Header Layout', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'default' => esc_html__( 'Default', 'archee' ),
		'default-left' => esc_html__( 'Default Left', 'archee' ),
		'default-center' => esc_html__( 'Default Center', 'archee' ),
		'fullscreen' => esc_html__( 'Fullscreen', 'archee' ),
		'offcanvas' => esc_html__( 'Offcanvas', 'archee' ),
		'aside' => esc_html__( 'Aside', 'archee' ),
		'slide' => esc_html__( 'Slide', 'archee' )
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		)
	),
	'default' => 'default-left',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_2',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Navigation', 'archee' ) . '</div>',
	'priority' => $priority++,
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_opaque',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Navigation Opaque', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
	'default' => 'enable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_transparent',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Transparent', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_transparent_always',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Transparent Always', 'archee' ),
	'description' => esc_html__( 'Transparent also after page scrolled down.', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_sticky',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Sticky', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_hide_on_scroll',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Hide on Scroll', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_sticky',
			'operator' => '==',
			'value' => 'enable',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'navigation_white_text_on_top',
	'section' => 'section_header_general',
	'label' => esc_html__( 'White Text on Top', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' ),
	),
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_3',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Search', 'archee' ) . '</div>',
	'priority' => $priority++,
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'header_search',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Header Search', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'header_search_ajax',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Search AJAX', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
		array(
			'setting' => 'header_search',
			'operator' => '==',
			'value' => 'show'
		)
	),
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_4',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Fullscreen Site', 'archee' ) . '</div>',
	'priority' => $priority++,
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'site_fullscreen_icon',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Fullscreen Site Icon', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'hide',
	'active_callback' => array(
		array(
			'setting' => 'navigation_show',
			'operator' => '==',
			'value' => 'show',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'slide',
		),
		array(
			'setting' => 'navigation_type',
			'operator' => '!=',
			'value' => 'aside',
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_5',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Logo', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'header_logo',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'choices' => [
		'save_as' => 'id'
	]
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'header_logo_white',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo White', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'choices' => [
		'save_as' => 'id'
	]
) );

VLT_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'header_logo_height',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo Height', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '100px',
	'output' => array(
		array(
			'element' => '.vlt-navbar-logo img',
			'property' => 'height'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_6',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Logo Small', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'header_logo_small',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'choices' => [
		'save_as' => 'id'
	]
) );

VLT_Options::add_field( array(
	'type' => 'image',
	'settings' => 'header_logo_small_white',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo White', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'choices' => [
		'save_as' => 'id'
	]
) );

VLT_Options::add_field( array(
	'type' => 'dimension',
	'settings' => 'header_logo_small_height',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Logo Height', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '100px',
	'output' => array(
		array(
			'element' => '.vlt-navbar-logo.vlt-navbar-logo--small img',
			'property' => 'height'
		)
	)
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_7',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Socials', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'repeater',
	'settings' => 'header_social_list',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Social List', 'archee' ),
	'description' => esc_html__( 'Social icons is shown only for some styles of menu. (It works for aside, offcanvas and slide menus)', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'row_label' => array(
		'type' => 'text',
		'value' => esc_html__( 'social', 'archee' )
	),
	'fields' => array(
		'social_icon' => array(
			'type' => 'select',
			'label' => esc_html__( 'Social Icon', 'archee' ),
			'choices' => archee_get_social_icons()
		),
		'social_url' => array(
			'type' => 'link',
			'label' => esc_html__( 'Social Url', 'archee' )
		),
	),
	'default' => ''
) );

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_8',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Tagline', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'header_tagline',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Tagline', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'show' => esc_html__( 'Show', 'archee' ),
		'hide' => esc_html__( 'Hide', 'archee' )
	),
	'default' => 'show'
) );

if ( ARCHEE_WOOCOMMERCE ) {

	VLT_Options::add_field( array(
		'type' => 'custom',
		'settings' => 'shg_9',
		'section' => 'section_header_general',
		'default' => '<div class="kirki-separator">' . esc_html__( 'WooCommerce', 'archee' ) . '</div>',
		'priority' => $priority++,
	) );

	VLT_Options::add_field( array(
		'type' => 'select',
		'settings' => 'header_cart_icon',
		'section' => 'section_header_general',
		'label' => esc_html__( 'Cart Icon', 'archee' ),
		'description' => esc_html__( 'The cart icon is shown only on pages related to the store.', 'archee' ),
		'priority' => $priority++,
		'transport' => 'auto',
		'choices' => array(
			'always-show' => esc_html__( 'Always Show', 'archee' ),
			'show' => esc_html__( 'Show', 'archee' ),
			'hide' => esc_html__( 'Hide', 'archee' )
		),
		'default' => 'show',
	) );

}

VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shg_10',
	'section' => 'section_header_general',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Menu Sounds', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'select',
	'settings' => 'menu_toggle_sound',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Menu Toggle Sound', 'archee' ),
	'description' => esc_html__( 'Sounds when you open / close menu.', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'choices' => array(
		'enable' => esc_html__( 'Enable', 'archee' ),
		'disable' => esc_html__( 'Disable', 'archee' )
	),
	'default' => 'disable',
) );

VLT_Options::add_field( array(
	'type' => 'upload',
	'settings' => 'open_click_sound',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Audio for "Open Menu"', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'menu_toggle_sound',
			'operator' => '==',
			'value' => 'enable',
		)
	),
) );

VLT_Options::add_field( array(
	'type' => 'upload',
	'settings' => 'close_click_sound',
	'section' => 'section_header_general',
	'label' => esc_html__( 'Audio for "Close Menu"', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => '',
	'active_callback' => array(
		array(
			'setting' => 'menu_toggle_sound',
			'operator' => '==',
			'value' => 'enable',
		)
	),
) );

/**
 * Header fullscreen
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shf_1',
	'section' => 'section_header_fullscreen',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Fullscreen', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'fullscreen_menu_background',
	'section' => 'section_header_fullscreen',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.vlt-nav--fullscreen__background'
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'fullscreen_menu_background_night_mode',
	'section' => 'section_header_fullscreen',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'tooltip' => esc_html__( 'Dark Mode', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.night-mode .vlt-nav--fullscreen__background'
		),
	),
) );

/**
 * Header offcanvas
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'sho_1',
	'section' => 'section_header_offcanvas',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Offcanvas', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'offcanvas_menu_background',
	'section' => 'section_header_offcanvas',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.vlt-nav--offcanvas__background'
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'offcanvas_menu_background_night_mode',
	'section' => 'section_header_offcanvas',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'tooltip' => esc_html__( 'Dark Mode', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.night-mode .vlt-nav--offcanvas__background'
		),
	),
) );

/**
 * Header slide
 */
VLT_Options::add_field( array(
	'type' => 'custom',
	'settings' => 'shs_1',
	'section' => 'section_header_slide',
	'default' => '<div class="kirki-separator">' . esc_html__( 'Slide', 'archee' ) . '</div>',
	'priority' => $priority++,
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'slide_menu_background',
	'section' => 'section_header_slide',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.vlt-nav--slide__background'
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'slide_menu_background_night_mode',
	'section' => 'section_header_slide',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'tooltip' => esc_html__( 'Dark Mode', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.night-mode .vlt-nav--slide__background'
		),
	),
) );

/**
 * Header aside
 */
VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'aside_menu_background',
	'section' => 'section_header_aside',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.vlt-nav--aside__background'
		),
	),
) );

VLT_Options::add_field( array(
	'type' => 'background',
	'settings' => 'aside_menu_background_night_mode',
	'section' => 'section_header_aside',
	'label' => esc_html__( 'Menu Background', 'archee' ),
	'tooltip' => esc_html__( 'Dark Mode', 'archee' ),
	'priority' => $priority++,
	'transport' => 'auto',
	'default' => array(
		'background-color' => '',
		'background-image' => '',
		'background-repeat' => 'no-repeat',
		'background-position' => 'top center',
		'background-size' => 'cover',
		'background-attachment' => 'scroll',
	),
	'output' => array(
		array(
			'element' => '.night-mode .vlt-nav--aside__background'
		),
	),
) );