<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

?>

<article <?php post_class( 'vlt-page vlt-page--empty' ); ?>>

	<?php if ( is_home() && current_user_can( 'publish_posts' ) ): ?>

		<p><?php esc_html_e( 'Ready to publish your first post?', 'archee' ); ?></p>
		<a href="<?php echo esc_url( admin_url( 'post-new.php' ) ); ?>" class="vlt-btn vlt-btn--effect vlt-btn--secondary vlt-btn--sm"><?php esc_html_e( 'Get started here', 'archee' ); ?></a>

	<?php elseif ( is_search() ): ?>

		<p><?php esc_html_e( 'Sorry, but nothing matched your search terms.', 'archee' ); ?></p>

		<form class="vlt-search-form" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">

			<input type="text" name="s" placeholder="<?php esc_attr_e( 'Type here to search', 'archee' ); ?>">

			<button><i class="fa-regular fa-fw fa-magnifying-glass"></i></button>

		</form>
		<!-- /.vlt-search-form -->

	<?php else: ?>

		<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for.', 'archee' ); ?></p>

	<?php endif; ?>

</article>
<!-- /.vlt-page -->