<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

if ( ! is_active_sidebar( 'offcanvas_sidebar' ) ) {
	return;
}

$offcanvas_sidebar_class = 'vlt-offcanvas-sidebar';

?>

<div class="<?php echo archee_sanitize_class( $offcanvas_sidebar_class ); ?>">

	<a href="#" class="vlt-offcanvas-sidebar-icon-close js-offcanvas-sidebar-close">
		<i class="fa-regular fa-fw fa-xmark"></i>
	</a>

	<div class="vlt-offcanvas-sidebar__inner">

		<div class="vlt-sidebar">

			<?php if ( archee_get_theme_mod( 'header_logo_small' ) ) : ?>

				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="vlt-navbar-logo vlt-navbar-logo--small">

					<?php

						echo wp_get_attachment_image( archee_get_theme_mod( 'header_logo_small' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'black' ) );

						if ( archee_get_theme_mod( 'header_logo_small_white' ) ) {
							echo wp_get_attachment_image( archee_get_theme_mod( 'header_logo_small_white' ), 'full', false, array( 'loading' => 'lazy', 'class' => 'white' ) );
						}

					?>

				</a>

			<?php endif; ?>

			<?php

				if ( is_active_sidebar( 'offcanvas_sidebar' ) ) {
					dynamic_sidebar( 'offcanvas_sidebar' );
				}

			?>

		</div>

	</div>

</div>
<!-- /.vlt-offcanvas-sidebar -->