<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

add_filter( 'vlthemes/post-media-image-size', function() {
	return 'archee-1280x853_crop';
} );

$post_class = 'vlt-post vlt-post--style-1';

$format = get_post_format();

if ( false == $format ) {
	$format = 'standard';
}

?>

<article <?php post_class( $post_class ); ?>>

	<?php if ( has_post_thumbnail() ) : ?>

		<div class="vlt-post-media">

			<?php

				switch( $format ) {

					case 'audio':
						get_template_part( 'template-parts/post/media/post-media', 'audio' );
					break;

					case 'video':
						get_template_part( 'template-parts/post/media/post-media', 'video' );
					break;

					case 'gallery':
						get_template_part( 'template-parts/post/media/post-media', 'gallery' );
					break;

					default:
						get_template_part( 'template-parts/post/media/post-media', 'image' );
					break;
				}

			?>

		</div>

	<?php endif; ?>

	<div class="vlt-post-content">

		<header class="vlt-post-header">

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'meta' ); ?>

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'title' ); ?>

		</header>
		<!-- /.vlt-post-header -->

		<div class="vlt-post-excerpt">

			<?php echo archee_get_trimmed_content( 35 ); ?>

		</div>
		<!-- /.vlt-post-excerpt -->

		<footer class="vlt-post-footer">

			<?php get_template_part( 'template-parts/post/partials/partial-post', 'read-more-button' ); ?>

		</footer>
		<!-- /.vlt-post-footer -->

	</div>
	<!-- /.vlt-post-content -->

</article>
<!-- /.vlt-post -->