<?php

/**
 * @author: VLThemes
 * @version: 1.0.3
 */

$size = 'full';

add_filter( 'vlthemes/post-media-image-size', function() {
	return 'archee-800x600_crop';
} );

$post_class = 'vlt-post vlt-post--style-7';

?>

<article <?php post_class( $post_class ); ?>>

	<div class="vlt-post-content">

		<div class="vlt-post-date">
			<span><?php echo get_the_date( 'd' ); ?></span>
			<span><?php echo get_the_date( 'M' ); ?></span>
		</div>
		<!-- /.vlt-post-date -->

		<?php if ( has_post_thumbnail() ) : ?>

			<h3 class="vlt-post-title" data-tooltip-image="<?php the_post_thumbnail_url( apply_filters( 'vlthemes/post-media-image-size', $size ) ); ?>">

		<?php else: ?>

			<h3 class="vlt-post-title">

		<?php endif; ?>

			<?php if ( is_sticky() ) { echo '<i class="fa-solid fa-fw fa-bookmark"></i>'; } ?>
			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>

		</h3>
		<!-- /.vlt-post-title -->

		<?php if ( archee_get_post_taxonomy( get_the_ID(), 'category' ) ) : ?>

			<div class="vlt-post-category"><?php echo archee_get_post_taxonomy( get_the_ID(), 'category', ', ' ); ?></div>
			<!-- /.vlt-post-category -->

		<?php endif; ?>

	</div>
	<!-- /.vlt-post-content -->

</article>
<!-- /.vlt-post -->